org.mariadb.jdbc.internal.com.read.dao

## Class ColumnLabelIndexer

- java.lang.Object
- - org.mariadb.jdbc.internal.com.read.dao.ColumnLabelIndexer

    public class ColumnLabelIndexer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ColumnLabelIndexer(ColumnDefinition[] columnDefinitions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIndex(String name)` Get column index by name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnLabelIndexer

    public ColumnLabelIndexer(ColumnDefinition[] columnDefinitions)

### Method Detail

#### getIndex

    public int getIndex(String name)
                 throws SQLException

Get column index by name.

Parameters:
  `name` - column name
Returns:
  index.
Throws:
  `SQLException` - if no column info exists, or column is unknown